SMF Forum - Task / Tache #2081

Repository umziehen
27 November 2011 11:38 - corvus

Status: Closed Start date: 27 November 2011
Priority: Normal Due date:

Assignee: corvus % Done: 100%

Category: Estimated time: 0.00 hour

Target version:

Description
Bitte das Repository von in dieses "Projekt":projects/sf-forum/repository zligeln

History

#1 - 09 December 2011 16:58 - LukyLuke
- Status changed from New to 2

- Assignee changed from LukyLuke to corvus

Ich habe aktuell folgende Repos:

e PPPS-Theme

LDAP-Auth

Secure Gravatar

Translations

Portal von Apophis sollte auch da rein
(Support-/+1-Button von #2150 kommt wohl auch noch)

Waére irgendwie unschon, das alles in ein einzelnes Repository zu packen.
Vorschlage? :)

#2 - 11 December 2011 10:20 - corvus

- Assignee changed from corvus to LukylLuke

Es gibt nun fir jedes existierende Modul ein eigenes Projekt mit einem Repository.

Ist es mdglich, dass in diesem Projekt ein Fork Fon SMF abgelegt wird, welches unsere Erweiterungen als Git-Submdole einbindet? Auf diese weise
kénnte man das Forum relative einfach updaten, testen etc.

#3 - 11 December 2011 21:17 - LukyLuke

Oh, so kann man das auch machen :)
kannst du das "sms-ldapauth” noch nach "smf-ldapauth" umbenennen? :P

Betreffend dem einbinden als Submodule: eher schlecht, denn die Module/Plugins bei SMF sind eher als Patch-File denn als "Plugin aus
eigenstandigen Files" zu sehen. Werde morgen die Repos mal fillen, dann siehst du was ich meine.

Man kann aber natirlich SMF grundsétzlich einbinden, so dass man das ganze auf stage updaten und dort werkeln kann und wenn alles geht dann
einchecken und auf dem Livesystem wieder auschecken. Sprich die "Plugins" nicht installieren auf dem Live sondern nur auf dem Stage - musste
man mal versuchen, wie das geht wegen den DB-Updates.

#4 - 13 December 2011 17:10 - LukyLuke
- Assignee changed from LukylLuke to Apophis
- % Done changed from 0 to 90

Meine Projekte sind drin.
nun misste noch dein portal da rein :)

#5 - 16 December 2011 17:23 - Apophis

Ahm sorry, aber das ist doch wirklich Gbertrieben, das ist ein Projekt, es wird ziemlich sicher keine Tickets fur irgendwas davon geben, das sind zwar
unterschiedliche Module, aber das kann man nun wirklich mit der Verzeichnisstruktur I6sen. Meistens braucht man eh alles - und nicht nur eines
davon.
https://projects.piratenpartei.ch/issues/2150

Wir sollten das in eine Projekt und ein Repo mergen.

#6 - 22 December 2011 15:20 - Apophis

- Assignee changed from Apophis to corvus

#7 - 23 December 2011 21:56 - corvus
- Status changed from 2 to Closed
- % Done changed from 90 to 100
